 *************************************************
 *						 *
 *  Assembler-Include for vector.library V1.6x   *
 *						 *
 * written by Alexander Lippert    12-Sep-91     *
 *                                               *
 *************************************************


 RSRESET

NewVScreen	rs.b 0

nvs_LeftEdge	rs.w 1
nvs_TopEdge	rs.w 1
nvs_Width	rs.w 1
nvs_Height	rs.w 1
nvs_Depth	rs.w 1
nvs_DetailPen	rs.b 1
nvs_BlockPen	rs.b 1
nvs_ViewModes	rs.w 1
nvs_Font	rs.l 1
nvs_DefaultTitle	rs.l 1
vw_Flags	rs.w 1
vw_LeftEdge	rs.w 1
vw_TopEdge	rs.w 1
vw_Width	rs.w 1
vw_Height	rs.w 1
vw_Depth	rs.w 1


 RSRESET

Joy             rs.b 0

jy_Mov_Z	rs.w 1
jy_Border_Front rs.w 1
jy_Border_Back  rs.w 1
jy_Rot_X        rs.w 1
jy_Rot_Y        rs.w 1
jy_Rot_Z        rs.w 1


 RSRESET

World		rs.b 0

wo_Flags	rs.w 1
wo_Number	rs.w 1

wo_Object	rs.l 1  ; Dieser Zeiger auf die Objekt-Struktur
          		; wiederholt sich gem "wo_Number"


 RSRESET
          		
Object		rs.b 0

ob_Point_Data   rs.l 1
ob_Area_Data	rs.l 1
ob_Move_Table	rs.l 1
ob_Pos_X	rs.w 1
ob_Pos_Y	rs.w 1
ob_Pos_Z	rs.w 1
ob_Rot_X	rs.w 1
ob_Rot_Y	rs.w 1
ob_Rot_Z	rs.w 1


 RSRESET

Point_Data      rs.b 0

pd_Number       rs.w 1

pd_X            rs.w 1  ; Diese Folge von Worten
pd_Y            rs.w 1  ; wiederholt sich gem dem
pd_Z            rs.w 1  ; Wert von "pd_Number"
pd_Proper_Size	rs.w 1  ;


 RSRESET

Area_Data	rs.b 0

ad_Number       rs.w 1

ad_Angles       rs.w 1  ; Diese Folge von Worten
ad_Color        rs.w 1  ; wiederholt sich gem dem
ad_Point1       rs.w 1  ; Wert von "ad_Number"
ad_Point2       rs.w 1  ;
ad_Point3       rs.w 1  ;
ad_Point4       rs.w 1  ;
ad_Point5       rs.w 1  ;
ad_Point6       rs.w 1  ;
ad_Point7       rs.w 1  ;
ad_Point8       rs.w 1  ;
ad_Point9       rs.w 1  ;

VBOB EQU -1  ; Diese Werte fr "ad_Angles"
VLIN EQU 0   ; kennzeichen Vector-BOBs bzw. Vector-Lines


 RSRESET

Move_Table	rs.b 0

mt_Ticks  	rs.w 1  ; 1. Art von Eintrgen
mt_Mov_X	rs.w 1  ; in die Move-Table
mt_Mov_Y	rs.w 1
mt_Mov_Z	rs.w 1
mt_Rot_X	rs.w 1
mt_Rot_Y	rs.w 1
mt_Rot_Z	rs.w 1

mt_Command_A    rs.w 1  ; 2. Art von Eintrgen
                        ; in die Move-Table

mt_Command_B    rs.w 1  ; 3. Art von Eintrgen
mt_Count        rs.w 1  ; in die Move-Table

END_1 EQU -1  ; Das sind die vier Kommandos, wovon die
END_2 EQU -2  ; ersten drei A-Kommandos sind und "DBF"
LAB   EQU -3  ; ein B-Kommando (mit einem zweiten Wort
DBF   EQU -4  ; als Zhler)


 RSRESET

BOBList		rs.b 0

bl_Number	rs.w 1

bl_Width        rs.w 1  ; Diese Folge von Worten und Langworten
bl_Height       rs.w 1  ; wiederholt sich gem dem
bl_Gfx_Data     rs.l 1  ; Wert von "bl_Number"
bl_Msk_Data     rs.l 1  ;


 RSRESET

ColTab		rs.b 0

ct_Color_Register	rs.w 1  ; Diese Folge von Worten
ct_Red		rs.w 1  ; wiederholt sich beliebig oft und
ct_Green	rs.w 1  ; mu mit -1 abgeschlossen werden
ct_Blue         rs.w 1



 RSRESET

Size_Table	rs.b 0

st_Next_Step    rs.l 1  ; Dieses Langwort mu so oft wiederholt
                        ; werden, wie BOBs in der BOBList vermerkt
                        ; sind (also wie "bl_Number")
