 ;  DevPac 2.14 !!

SetVBI       = -30
InitVBOBs    = -36
OpenVScreen  = -42
CloseVScreen = -48
UseJoy       = -54
DoAnim       = -60
RotateX      = -66
RotateY      = -72
RotateZ      = -78
FreeVBOBs    = -84
AutoScaleOn  = -90
AutoScaleOff = -96
FreeJoy      = -102
SetColors    = -108

 move.l 4.w,a6
 lea    vecname(pc),a1
 jsr    -408(a6)            ; vector.library ffnen
 move.l d0,vecbase
 beq.s  end
 
 lea    NewVScreen(pc),a1
 move.l vecbase(pc),a6
 jsr    OpenVScreen(a6)     ; VScreen ffnen
 move.l d0,viewstruc
 
 move.l viewstruc(pc),a0
 lea    coltab(pc),a1
 jsr    SetColors(a6)       ; Farben setzen

 lea    Joy(pc),a1
 moveq  #0,d0
 jsr    UseJoy(a6)          ; Joystick anmelden

 lea    bobname(pc),a0      ; AUF RICHTIGEN PFAD ACHTEN!!
 lea    boblist(pc),a1
 sub.l  a2,a2
 moveq  #3,d0
 jsr    InitVBOBs(a6)       ; VBOBs initialisieren
 tst.l  d0
 bne.s  end

 move.w NewVScreen+12(pc),d0
 jsr    AutoScaleOn(a6)     ; Entzerrung fr evtl. hhere Auflsungen an
 
 lea    World(pc),a1
 jsr    DoAnim(a6)          ; Animation laufen lassen

 jsr    FreeJoy(a6)         ; Joystick freigeben

 jsr    FreeVBOBs(a6)       ; VBOBs deallokieren

 jsr    CloseVScreen(a6)    ; VScreen schlieen

 move.l 4.w,a6
 move.l vecbase(pc),a1
 jsr    -414(a6)            ; vector.library schlieen

end:
 rts

vecbase   dc.l 0
viewstruc dc.l 0

NewVScreen:
 dc.w 0,0
 dc.w 320,256
 dc.w 3
 dc.b 0,0
 dc.w $00
 dc.l 0
 dc.l title

 dc.w 0
 dc.w 0,0
 dc.w 320,256
 dc.w 3
  
title: dc.b "vector.library   1991 by A. Lippert"
 even

Joy:
 dc.w 50,-1200,-16000
 dc.w 3,3,3

World:
 dc.w 0,1
 dc.l object1

object1:
 dc.l obpd
 dc.l obad
 dc.l obmv
 dc.w 0
 dc.w 0,0,-1500
 dc.w 20,30,0


obpd:     ; Eckpunkt-Tabelle
 dc.w 19
 dc.w -80,-20,80,0
 dc.w -80,20,80,0
 dc.w 80,-20,80,0
 dc.w 80,20,80,0

 dc.w -80,-20,-80,0
 dc.w -80,20,-80,0
 dc.w 80,-20,-80,0
 dc.w 80,20,-80,0

 dc.w -50,-20,50,0
 dc.w -50,20,50,0
 dc.w 50,-20,50,0
 dc.w 50,20,50,0

 dc.w -50,-20,-50,0
 dc.w -50,20,-50,0
 dc.w 50,-20,-50,0
 dc.w 50,20,-50,0

 dc.w 0,60,0,3
 dc.w 0,0,0,0
 dc.w 0,-60,0,3


obad:    ; Flchen-Tabelle
 dc.w 19
 dc.w 4,2,1*4,3*4,2*4,0*4,1*4,0,0,0,0
 dc.w 4,4,5*4,4*4,6*4,7*4,5*4,0,0,0,0
 dc.w 4,3,0*4,4*4,5*4,1*4,0*4,0,0,0,0
 dc.w 4,3,2*4,3*4,7*4,6*4,2*4,0,0,0,0

 dc.w 4,5,9*4,8*4,10*4,11*4,9*4,0,0,0,0
 dc.w 4,3,13*4,15*4,14*4,12*4,13*4,0,0,0,0
 dc.w 4,4,8*4,9*4,13*4,12*4,8*4,0,0,0,0
 dc.w 4,4,10*4,14*4,15*4,11*4,10*4,0,0,0,0

 dc.w 4,2,1*4,9*4,11*4,3*4,1*4,0,0,0,0
 dc.w 4,2,1*4,5*4,13*4,9*4,1*4,0,0,0,0
 dc.w 4,2,5*4,7*4,15*4,13*4,5*4,0,0,0,0
 dc.w 4,2,11*4,15*4,7*4,3*4,11*4,0,0,0,0

 dc.w 4,6,0*4,2*4,10*4,8*4,0*4,0,0,0,0
 dc.w 4,6,0*4,8*4,12*4,4*4,0*4,0,0,0,0
 dc.w 4,6,4*4,12*4,14*4,6*4,4*4,0,0,0,0
 dc.w 4,6,10*4,2*4,6*4,14*4,10*4,0,0,0,0

 dc.w -1,4,16*4,0,0,0,0,0,0,0,0
 dc.w -1,4,17*4,0,0,0,0,0,0,0,0
 dc.w -1,4,18*4,0,0,0,0,0,0,0,0


obmv:
 dc.w 1500, 0,0,0, 0,0,0   ; 1500 Ticks Zeit fr's Joystick
 dc.w -1


coltab:
 dc.w 0, 0,0,0
 dc.w 1, 12,12,13
 dc.w 2, 5,6,10
 dc.w 3, 3,4,8
 dc.w 4, 2,3,7
 dc.w 5, 1,2,6
 dc.w 6, 0,1,5
 dc.w 7, 0,0,4
 dc.w -1


boblist:
 dc.w 16
 dc.w 2,31
 dc.l 0,0
 dc.w 2,29
 dc.l 0,0
 dc.w 2,27
 dc.l 0,0
 dc.w 2,25
 dc.l 0,0
 dc.w 2,23
 dc.l 0,0
 dc.w 2,21
 dc.l 0,0
 dc.w 2,19
 dc.l 0,0
 dc.w 2,17
 dc.l 0,0
 dc.w 1,15
 dc.l 0,0
 dc.w 1,13
 dc.l 0,0
 dc.w 1,11
 dc.l 0,0
 dc.w 1,9
 dc.l 0,0
 dc.w 1,7
 dc.l 0,0
 dc.w 1,5
 dc.l 0,0
 dc.w 1,3
 dc.l 0,0
 dc.w 1,1
 dc.l 0,0

bobname dc.b "VBOBs:bs1lo3_??.gfx",0   ; PFAD BEACHTEN!!
vecname dc.b "vector.library",0
gfxname dc.b "graphics.library",0
